

/*
Author        : ZULQANI FAUZI
Created Date  : 05 / 07 / 2018
Updated Date  : 16 / 07 / 2018
*/

import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams, AlertController, ToastController, ModalController} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {Common} from "../../providers/common";

@IonicPage()
@Component({
    selector: 'page-rptstock',
    templateUrl: 'rptstock.html',
})
export class RptstockPage {

    dataKas = {
        nama: "",
        catatan: "",
        tanggal: "",
        jumlah: "",
        type: ""
    };
    resposeData: any;
    detailKas: any;
    logins: any[];
    itemsDtl: any[] = [];

    constructor(public modalCtrl: ModalController, public navCtrl: NavController,
        public navParams: NavParams,
        public alertCtrl: AlertController,
        public authService: AuthService,
        public common: Common,
        private toastCtrl: ToastController) {
        this.getStock();
    }


    presentToast(msg) {
        let toast = this.toastCtrl.create({
            message: msg,
            duration: 3000
        });
        toast.present();
    }

    getStock() {
        this.authService.postData(this.dataKas, "stockProduct").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.productData) {
                    this.detailKas = this.resposeData.productData;
                    for (let i = 0; i < this.resposeData.productData.length; i++) {
                        let ItemID = this.resposeData.productData[i].ItemID;
                        let ItemName = this.resposeData.productData[i].ItemName;
                        let UOMName = this.resposeData.productData[i].UOMName;
                        let Qnty = this.resposeData.productData[i].Qnty;
                        this.itemsDtl.push({
                            "ItemID": ItemID,
                            "ItemName": ItemName,
                            "UOMName": UOMName,
                            "Qnty": Qnty,
                        });

                    }
                } else {

                }
            },
            err => {
                this.presentToast("Gagal terhubung ke server.");
            }
        );
    }

    ngOnInit() {
        this.setItems();
    }

    setItems() {
        this.itemsDtl;
    }

    filterItems(ev: any) {
        this.setItems();
        let val = ev.target.value;

        if (val && val.trim() !== '') {
            this.itemsDtl = this.itemsDtl.filter(function (item) {
                return item.ItemName.toLowerCase().includes(val.toLowerCase());
            });
        }
    }
    onClear() {
       return this.getStock();
    }
    onCancel(ev: any) {
       return this.getStock();
    }
}
